apiVersion: v1
kind: Template
labels:
  app: redis
  template: redis-buildconfig
metadata:
  annotations:
    description: Redis database - BuildConfig
    iconClass: icon-redis
    openshift.io/display-name: Redis
    tags: redis
  name: redis-buildconfig
objects:
- apiVersion: v1
  kind: BuildConfig
  metadata:
    annotations:
      description: Builds Redis images
    labels:
      name: redis-${REDIS_REPOSITORY_REF}
    name: redis-${REDIS_REPOSITORY_REF}
  spec:
    failedBuildsHistoryLimit: 1
    resources:
      limits:
        cpu: 300m
        memory: 768Mi
    source:
      contextDir: /
      git:
        uri: ${REDIS_REPOSITORY_URL}
        ref: "${REDIS_REPOSITORY_REF}"
      type: Git
    strategy:
      type: Docker
      dockerStrategy:
        env:
        - name: DO_UPGRADE
          value: foo
        forcePull: false
    output:
      to:
        kind: ImageStreamTag
        name: redis:${REDIS_REPOSITORY_REF}
    triggers:
    - type: ConfigChange
parameters:
- name: REDIS_REPOSITORY_REF
  description: Set this to a branch name, tag or other ref of your repository if you are not using the default branch
  displayName: Git Reference
  required: true
  value: master
- name: REDIS_REPOSITORY_URL
  description: The URL of the repository with your redis Dockerfile
  displayName: Git Repository URL
  required: true
  value: https://gitlab.com/synacksynack/opsperator/docker-redis.git
